//  Persistance of Vision Raytracer V3.0
//  World definition file.
//
//  Contains 2 lights, 3 textures and 43 primitives.
//
//  This file was generated for POV-Ray V3.0 by
//  MORAY.EXE V2.5a.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 02/16/1997    (16.02.1997)
//

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray exports for POV-Ray.
//






global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.8
  hf_gray_16 off
  irid_wavelength <0.25,0.18,0.14>
  max_intersections 64
  max_trace_level 5
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <0.000, -20.000, 0.000>
  direction <0.0,     0.0,  0.6940>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <0.80000, 0.0,  0.0>
  look_at   <0.000, 0.000, 0.000>
}

// *******  L I G H T S *******
light_source {   // Light2
  <7.100, -12.300, 50.000>
  color rgb <0.204, 0.204, 0.204>
}

light_source {   // Light1
  <-10.000, -10.000, 40.000>
  color rgb <0.397, 0.397, 0.397>
}


// ********  TEXTURES  *******
//

#include "steps.inc"



// ********  REFERENCED OBJECTS  *******

#declare CSG001 = union {
  sphere { // Sphere1
    <0,0,0>,1
    scale 1.5
    translate  <0.0, 8.0, 1.5>
  }
}
#declare CSG1 = union {
  cylinder { // Cylndr1
    <0,0,1>, <0,0,0>, 1
    scale <0.1, 0.1, 100.0>
    rotate -90.0*y
    translate  <50.0, 0.0, -0.1>
  }
  rotate -30.0*z
}
#declare CSG13 = merge {
  object { CSG1 }
  object { // CSG2->CSG1
    CSG1
    rotate 5.0*z
  }
  object { // CSG3->CSG1
    CSG1
    rotate 10.0*z
  }
  object { // CSG4->CSG1
    CSG1
    rotate 15.0*z
  }
  object { // CSG5->CSG1
    CSG1
    rotate 20.0*z
  }
  object { // CSG6->CSG1
    CSG1
    rotate 25.0*z
  }
  object { // CSG7->CSG1
    CSG1
    rotate 30.0*z
  }
  object { // CSG8->CSG1
    CSG1
    rotate 35.0*z
  }
  object { // CSG9->CSG1
    CSG1
    rotate 40.0*z
  }
  object { // CSG10->CSG1
    CSG1
    rotate 45.0*z
  }
  object { // CSG11->CSG1
    CSG1
    rotate 50.0*z
  }
  object { // CSG12->CSG1
    CSG1
    rotate 55.0*z
  }
  translate  8.0*y
}
#declare Tubes2 = union {
  object { CSG13 }
}




// ********  OBJECTS  *******



difference { // Can1
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale <20.0, 25.0, 20.0>
    translate  -7.5*y
  }
  sphere { // Sphere001
    <0,0,0>,1
    scale 15.0
  }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1
    scale 15.0
    rotate 90.0*x
  }
  sphere { // Sphere002
    <0,0,0>,1
    scale 15.0
    translate  -15.0*y
  }
  texture {
    CanTexture
  }
  scale <1.0, 1.0, 5.0>
}


#declare Spheres1 = union {
  object { CSG001 }
  object { // CSG14->CSG001
    CSG001
    rotate -22.5*z
    translate  4.0*z
  }
  object { // CSG15->CSG001
    CSG001
    rotate -45.0*z
    translate  8.0*z
  }
  object { // CSG16->CSG001
    CSG001
    rotate -67.5*z
    translate  12.0*z
  }
  object { // CSG17->CSG001
    CSG001
    rotate -90.0*z
    translate  16.0*z
  }
  object { // CSG18->CSG001
    CSG001
    rotate -112.5*z
    translate  20.0*z
  }
  object { // CSG19->CSG001
    CSG001
    rotate -135.0*z
    translate  24.0*z
  }
  object { // CSG20->CSG001
    CSG001
    rotate -157.5*z
    translate  28.0*z
  }
  object { // CSG21->CSG001
    CSG001
    rotate 180.0*z
    translate  32.0*z
  }
  object { // CSG22->CSG001
    CSG001
    rotate 157.5*z
    translate  36.0*z
  }
  object { // CSG23->CSG001
    CSG001
    rotate 135.0*z
    translate  40.0*z
  }
  object { // CSG24->CSG001
    CSG001
    rotate 112.5*z
    translate  44.0*z
  }
  object { // CSG25->CSG001
    CSG001
    rotate 90.0*z
    translate  48.0*z
  }
  texture {
    SphereTexture
  }
  rotate 225.0*z
  translate  -23.0*z
}
#declare CentariFan1 = union {
  object { Tubes2 }
  object { // Tubes3->Tubes2
    Tubes2
    rotate -22.5*z
    translate  4.0*z
  }
  object { // Tubes4->Tubes2
    Tubes2
    rotate -45.0*z
    translate  8.0*z
  }
  object { // Tubes5->Tubes2
    Tubes2
    rotate -67.5*z
    translate  12.0*z
  }
  object { // Tubes6->Tubes2
    Tubes2
    rotate -90.0*z
    translate  16.0*z
  }
  object { // Tubes7->Tubes2
    Tubes2
    rotate -112.5*z
    translate  20.0*z
  }
  object { // Tubes8->Tubes2
    Tubes2
    rotate -135.0*z
    translate  24.0*z
  }
  object { // Tubes9->Tubes2
    Tubes2
    rotate -157.5*z
    translate  28.0*z
  }
  object { // Tubes10->Tubes2
    Tubes2
    rotate 180.0*z
    translate  32.0*z
  }
  object { // Tubes11->Tubes2
    Tubes2
    rotate 157.5*z
    translate  36.0*z
  }
  object { // Tubes12->Tubes2
    Tubes2
    rotate 135.0*z
    translate  40.0*z
  }
  object { // Tubes13->Tubes2
    Tubes2
    rotate 112.5*z
    translate  44.0*z
  }
  object { // Tubes14->Tubes2
    Tubes2
    rotate 90.0*z
    translate  48.0*z
  }
  texture {
    FanTexture
  }
  rotate 225.0*z
  translate  -23.0*z
}
union { // CentariT1
  object { Spheres1 }
  object { CentariFan1 }
  rotate -45.0*z
  translate  -8.0*z
}




